### Method

# Gtk GLArea set_auto_render

#### Declaration [src]

    void
    gtk_gl_area_set_auto_render (
      GtkGLArea* area,
      gboolean auto_render
    )

#### Description [src]

Sets whether the `GtkGLArea` is in auto render mode.

If `auto_render` is `TRUE` the `GtkGLArea::render` signal will be emitted every time the widget draws. This is the default and is useful if drawing the widget is faster.

If `auto_render` is `FALSE` the data from previous rendering is kept around and will be used for drawing the widget the next time, unless the window is resized. In order to force a rendering gtk_gl_area_queue_render() must be called. This mode is useful when the scene changes seldom, but takes a long time to redraw.

Sets property | `Gtk.GLArea:auto-render`

#### Parameters

`auto_render` | `gboolean`
| A boolean.